function formatTime(seconds) {
    var minutes = Math.floor(seconds / 60); 
    var remainingSeconds = Math.floor(seconds % 60); 

    var formattedMinutes = minutes < 10 ? '0' + minutes : minutes;
    var formattedSeconds = remainingSeconds < 10 ? '0' + remainingSeconds : remainingSeconds;

    return formattedMinutes + ':' + formattedSeconds;
}

function colorLog(message, color) {

    color = color || "black";

    switch (color) {
        case "success":  
             color = "Green"; 
             break;
        case "info":     
                color = "DodgerBlue";  
             break;
        case "error":   
             color = "Red";     
             break;
        case "warning":  
             color = "Orange";   
             break;
			 
			 
		case "Generating":  
             color = "Grey"; 
             break;
		case "Speaking":  
             color = "Green"; 
             break;
		case "Kill":  
             color = "Red"; 
             break;
		case "Hit":  
             color = "Red"; 
             break;
		case "Attack":  
             color = "Red"; 
             break;
		case "Act":  
             color = "Green"; 
             break;
		case "Item":  
             color = "Green"; 
             break;
		case "Spare":  
             color = "Green"; 
             break;
		case "Flee":  
             color = "Green"; 
             break;
		case "State":     
                color = "Black";  
             break;
		case "Debug":  
             color = "Grey"; 
             break;
			 
			 
        default: 
             color = color;
    }
	
    console.log("%c" +  message, "color:" + color);
}